php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #77070 could not obtain parameters for parsing in Unknown on line 0
Submitted: 2018-10-27 00:22 UTC Modified: 2021-03-14 04:22 UTC
From: root4root at gmail dot com Assigned: cmb (profile)
Status: No Feedback Package: opcache
PHP Version: 7.2.11 OS: Linux debian and gentoo
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: root4root at gmail dot com
New email:
PHP Version: OS:

 

 [2018-10-27 00:22 UTC] root4root at gmail dot com
Description:
------------
Fatal error: dispatcher::launch(): could not obtain parameters for parsing in Unknown on line 0

Same project on different environments:
Error occurs: PHP 7.2.11 (Debian + php7.2-fpm)
Error occurs: PHP 7.2.10 (Gentoo + Apache2 mod_php)
No error: PHP 7.1.18 (Gentoo + Apache2 mod_php)
No error: PHP 7.0.30 (Gentoo + Apache2 mod_php)

Related with opcache, error disappears when disable it.

Looks like the same cause: https://stackoverflow.com/questions/49400921/laravel-with-opcache?rq=1


Test script:
---------------
Can't reproduce without whole projects code.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2018-10-27 00:44 UTC] daverandom@php.net
-Status: Open +Status: Feedback
 [2018-10-27 00:44 UTC] daverandom@php.net
Please confirm whether the PHP installations you have tested against are using thread-safe configurations. Historically there have been a number of bugs with opcache which only affect thread-safe (zts) builds, so you may find that the issues will disappear if you switch to a non-thread-safe (nts) build - or vice versa.

It would also be great if you could try to repro on 7.3, both zts and nts.
 [2018-10-27 00:45 UTC] daverandom@php.net
The tests requested above will likely require building PHP from source and (especially on Debian) the distro patches should be incorporated into the builds - should you require assistance with this or anything else, you can usually find me (@DaveRandom) in the PHP chat room on Stack Overflow https://chat.stackoverflow.com/rooms/11/php
 [2018-10-27 19:14 UTC] root4root at gmail dot com
-Status: Feedback +Status: Open
 [2018-10-27 19:14 UTC] root4root at gmail dot com
Yes, same result with 7.3.0RC4. Compiled from official src (--enable-maintainer-zts and without it). Apache2 mod_php mpm prefork mode.

----------

On production server mentioned earlier, I use php-fpm which no needs zts by definition (as far as I understand).
 [2021-03-02 12:08 UTC] cmb@php.net
-Status: Open +Status: Feedback -Assigned To: +Assigned To: cmb
 [2021-03-02 12:08 UTC] cmb@php.net
Is this still an issue with any of the actively supported PHP
versions[1]?

[1] <https://www.php.net/supported-versions.php>
 [2021-03-14 04:22 UTC] php-bugs at lists dot php dot net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Re-Opened". Thank you.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Aug 05 07:01:25 2021 UTC